%global glib2_version 2.44
%global gtk3_version 3.16
%global gtksourceview3_version 3.16

Name:           gspell
Version:        0.1.2
Release:        1%{?dist}
Summary:        Spell-checking library for GTK+

# Some files are GPLv2+, some are LGPLv2+. Since they are compiled together
# into libgspell-1.so binary, this makes the combined work GPLv2+.
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/gspell
Source0:        https://download.gnome.org/sources/gspell/0.1/gspell-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(gtksourceview-3.0) >= %{gtksourceview3_version}
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  vala-tools

Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       gtk3%{?_isa} >= %{gtk3_version}
Requires:       gtksourceview3%{?_isa} >= %{gtksourceview3_version}
Requires:       iso-codes

%description
gspell provides a flexible API to implement the spell checking
in a GTK+ application.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang gspell-1


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gspell-1.lang
%license COPYING
%{_libdir}/girepository-1.0/
%{_libdir}/libgspell-1.so.0*

%files devel
%{_includedir}/gspell-1/
%{_libdir}/libgspell-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/

%files doc
%{_datadir}/gtk-doc/


%changelog
* Sun Dec 06 2015 Kalev Lember <klember@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Oct 15 2015 Kalev Lember <klember@redhat.com> - 0.1.0-1
- Initial Fedora packaging (#1271944)
